#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		halpolicydir	%{_datadir}/hal/fdi/policy/20thirdparty
#-----------------------------------------------------------------------------
Name		:	nut
Version		:	2.8.1
Release		:	16.2.1.rel%{?dist}
Summary		:	Network UPS Tools
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/jmrcpn/nut
			#Branch: libusb-osukiss

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-tools
BuildRequires	:	libusb
BuildRequires	:	neon
BuildRequires	:	net-snmp-devel

Requires	:	lfs-bootscripts
Requires	:	chkconfig
#-----------------------------------------------------------------------------
%description
Network UPS Tools is a collection of programs which provide a common
interface for monitoring and administering UPS, PDU and SCD hardware.
It uses a layered approach to connect all of the parts.

Drivers are provided for a wide assortment of equipment.  They
understand the specific language of each device and map it back to a
compatibility layer.  This means both an expensive high end UPS, a simple
"power strip" PDU, or any other power device can be handled transparently with
a uniform management interface.

This information is cached by the network server `upsd`, which then
answers queries from the clients.  upsd contains a number of access
control features to limit the abilities of the clients.  Only authorized
hosts may monitor or control your hardware if you wish.  Since the
notion of monitoring over the network is built into the software, you
can hang many systems off one large UPS, and they will all shut down
together. You can also use NUT to power on, off or cycle your data center
nodes, individually or globally through PDU outlets.

Clients such as `upsmon` check on the status of the hardware and do things
when necessary.  The most important task is shutting down the operating
system cleanly before the UPS runs out of power.  Other programs are
also provided to log information regularly, monitor status through your
web browser, and more.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README LICENSE-GPL2
%{_sysconfdir}/hotplug/usb/*
%{_sysconfdir}/%{name}/*.sample
%config (noreplace) %{_sysconfdir}/logrotate.d/nutlogd
%{_bindir}/al175
%{_bindir}/apcsmart
%{_bindir}/apcsmart-old
%{_bindir}/apcupsd-ups
%{_bindir}/bcmxcp*
%{_bindir}/belkin*
%{_bindir}/best*
%{_bindir}/blazer*
%{_bindir}/clone*
%{_bindir}/dummy-ups
%{_bindir}/etapro
%{_bindir}/everups
%{_bindir}/gamatronic
%{_bindir}/genericups
%{_bindir}/isbmex
%{_bindir}/ivtscd
%{_bindir}/liebert*
%{_bindir}/masterguard*
%{_bindir}/metasys
%{_bindir}/mge-*
%{_bindir}/microdowell
%{_bindir}/netxml-ups
%{_bindir}/nut-scanner
%{_bindir}/nutdrv*
%{_bindir}/oneac
%{_bindir}/optiups
%{_bindir}/powercom
%{_bindir}/powerpanel
%{_bindir}/rhino
%{_bindir}/richcomm_usb
%{_bindir}/riello_ser
%{_bindir}/riello_usb
%{_bindir}/safenet
%{_bindir}/skel
%{_bindir}/snmp-ups
%{_bindir}/solis
%{_bindir}/tripplite*
%{_bindir}/ups*
%{_bindir}/usbhid-ups
%{_bindir}/victronups
%{_sbindir}/ups*
%{_libdir}/udev/rules.d/62-%{name}-*.rules
%{_libdir}/lib%{name}*.so*
%{_libdir}/libupsclient.so*
%{_datadir}/augeas/lenses/dist/*.aug
%{_datadir}/driver.list
%{_datadir}/cmdvartab
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#=============================================================================
%prep
%setup -q -n %{name}-%{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

#to adjust a2x --xsltproc-opts parameter
sed -i							\
  -e "s/--xsltproc-opts \"/--xsltproc-opts=\"/"		\
  docs/man/Makefile.am					\
  configure.ac

./autogen.sh
#to be compilable with gcc-11.1.0
export CXXFLAGS="-std=c++14 $RPM_OPT_FLAGS"
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
        --bindir=%{_bindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-udev-dir=%{_libdir}/udev			\
	--with-usb					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#installing logrotate
%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/logrotate.d
%{__cp}							\
	scripts/logrotate/nutlogd			\
	%{buildroot}%{_sysconfdir}/logrotate.d

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
